#
# spec file for package mhtml-firefox
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           mhtml-firefox
BuildRequires:  MozillaFirefox
Version:        0.5
Release:        28.2
Source0:        mhtml-%{version}.tar.gz
Group:          Productivity/Networking/Web/Browsers
Summary:        Provides Firefox with MHTML web archive compatibility
License:        GPL-2.0+
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Recommends:     MozillaFirefox 

%description
This package installs a system-wide Firefox extension which allows it
to read MHTML web archives, such as those created by Microsoft Internet
Explorer®.

%prep
%setup -q -n mhtml@novell.com

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
pushd ..
cp -a mhtml@novell.com $RPM_BUILD_ROOT/%{_datadir}/mozilla/extensions/\{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%{_datadir}/mozilla

%changelog
* Tue May  3 2011 ro@suse.de
- update description
* Wed Feb 17 2010 wr@rosenauer.org
- Moved to /usr/share/mozilla/extensions and build noarch
- maxversion compatible with Firefox 3.6.*
- fixed typo in install.rdf
- Recommend MozillaFirefox instead requiring it
* Thu Oct 23 2008 hfiguiere@suse.de
- Update to 0.5
  * For firefox 3.
* Fri Apr  4 2008 nmatsakis@suse.de
- removed unecessary executable bits from file permissions
- a different attempt to address bnc#372485
- Add firefox 3 compatibility
* Thu Mar 27 2008 nmatsakis@suse.de
- fix bnc#364179: MHTML Archive Reader performs poorly with large archives
- fix bnc#369519: prompted to save ... file when opening an MHTML file
- Address a security issue where arbitrary pages could get access to
  resources loaded from MHTML archives
- partially address bnc#372485: Multiple firefox windows open after
  opening MHTML file
* Wed Mar 19 2008 nmatsakis@suse.de
- fix for (bnc#371228) Get Unresponsive Script warning dialog...
* Thu Mar 13 2008 nmatsakis@suse.de
- partial fix for CSS resource issue (bnc#364078)
- Eliminate unwanted ._ files in installation
* Sat Mar  1 2008 nmatsakis@suse.de
- Fix for bnc#364885
  "MHTML Archive reader doesn't read archives with iframes"
* Fri Feb 15 2008 nmatsakis@suse.de
- Made a small change to the component that helps it deal with
  cases where IE puts a bogus URL in the archive; So far, this
  has only been seen in archives created from HTML loaded from
  the file system.
* Fri Feb 15 2008 nmatsakis@suse.de
  Properly bind *.mht and *.mhtml to Firefox when this extension is
  installed.  Specifically:
- Changed the mime-type in mhtml-firefox.xml to
  application/x-mhtml-archive so that Firefox can be unambigiously
  bound to files with those extensions
- Updated spec to install mhtml-firefox.xml and perform appropriate
  database and file updates
- Updated mhtml component to support new mime type
* Mon Feb 11 2008 nmatsakis@suse.de
- Updated to latest version of mhtml component. This fixes a number
  of problems including:
  - double load of archives over http
  - progress indicator doesn't spin for http-loaded archives
  - archive resources don't load
* Sat Jan 19 2008 maw@suse.de
- Initial package (FATE #302866).
